package com.heyu.api.data.service.impl.device;
/**
* <p>
* 设备信息对话记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.device.DeviceUserTalkRecordDao;
import com.heyu.api.data.entity.device.DeviceUserTalkRecordEntity;
import com.heyu.api.data.service.device.DeviceUserTalkRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class DeviceUserTalkRecordServiceImpl extends ServiceImpl<DeviceUserTalkRecordDao, DeviceUserTalkRecordEntity> implements DeviceUserTalkRecordService {


    @Autowired
	private DeviceUserTalkRecordDao deviceUserTalkRecordDao;



	@Override
	public DeviceUserTalkRecordEntity selectDeviceUserTalkRecordById(Long id){
		return deviceUserTalkRecordDao.selectDeviceUserTalkRecordById(id);
	}



	@Override
	public Long insertDeviceUserTalkRecord(DeviceUserTalkRecordEntity deviceUserTalkRecord){
		return deviceUserTalkRecordDao.insertDeviceUserTalkRecord(deviceUserTalkRecord);
	}



	@Override
	public Long insertOrUpdateDeviceUserTalkRecord(DeviceUserTalkRecordEntity deviceUserTalkRecord){
		return deviceUserTalkRecordDao.insertOrUpdateDeviceUserTalkRecord(deviceUserTalkRecord);
	}



	@Override
	public int updateDeviceUserTalkRecordById(DeviceUserTalkRecordEntity deviceUserTalkRecord){
		return deviceUserTalkRecordDao.updateDeviceUserTalkRecordById(deviceUserTalkRecord);
	}



	@Override
	public int updateCoverDeviceUserTalkRecordById(DeviceUserTalkRecordEntity deviceUserTalkRecord){
		return deviceUserTalkRecordDao.updateCoverDeviceUserTalkRecordById(deviceUserTalkRecord);
	}



	@Override
	public int deleteDeviceUserTalkRecordById(Long id){
		return deviceUserTalkRecordDao.deleteDeviceUserTalkRecordById(id);
	}



}
